probe::signal.sys_tgkill
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.sys_tgkill — Sending kill signal to a thread group

## Synopsis

    signal.sys_tgkill

## Values

`sig_name`

  A string representation of the signal

`tgid`

  The thread group ID of the thread receiving the kill signal

`name`

  Name of the probe point

`pid_name`

  The name of the signal recipient

`task`

  A task handle to the signal recipient

`sig`

  The specific kill signal sent to the process

`sig_pid`

  The PID of the thread receiving the kill signal

## Description

The tgkill call is similar to tkill, except that it also allows the caller to specify the thread group ID of the thread to be signalled. This protects against TID reuse.

Prev | Up | Next
probe::signal.send_sig_queue.return | Home | probe::signal.sys_tgkill.return